scala.text

# DocNest

#### case class DocNest(indent: Int, doc: Document) extends Document with Product with Serializable

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) This class will be removed.

Source
  Document.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Document, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DocNest
2. Serializable
3. Serializable
4. Product
5. Equals
6. Document
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DocNest(indent: Int, doc: Document)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DocNest to any2stringadd[DocNest] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (DocNest, B)

   Implicit information
     This member is added by an implicit conversion from DocNest to ArrowAssoc[DocNest] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### def :/:(hd: String): Document

   Definition Classes
     Document

6. #### def :/:(hd: Document): Document

   Definition Classes
     Document

7. #### def ::(hd: String): Document

   Definition Classes
     Document

8. #### def ::(hd: Document): Document

   Definition Classes
     Document

9. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### val doc: Document

13. #### def ensuring(cond: (DocNest) ⇒ Boolean, msg: ⇒ Any): DocNest

    Implicit information
      This member is added by an implicit conversion from DocNest to Ensuring[DocNest] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (DocNest) ⇒ Boolean): DocNest

    Implicit information
      This member is added by an implicit conversion from DocNest to Ensuring[DocNest] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): DocNest

    Implicit information
      This member is added by an implicit conversion from DocNest to Ensuring[DocNest] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): DocNest

    Implicit information
      This member is added by an implicit conversion from DocNest to Ensuring[DocNest] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def format(width: Int, writer: Writer): Unit

    Format this document on `writer` and try to set line breaks so that the result fits in `width` columns.

    Format this document on `writer` and try to set line breaks so that the result fits in `width` columns.

    Definition Classes
      Document

20. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from DocNest to StringFormat[DocNest] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### val indent: Int

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (DocNest, B)

    Implicit information
      This member is added by an implicit conversion from DocNest to ArrowAssoc[DocNest] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Document

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DocNest to any2stringadd[DocNest]

### Inherited by implicit conversion StringFormat from DocNest to StringFormat[DocNest]

### Inherited by implicit conversion Ensuring from DocNest to Ensuring[DocNest]

### Inherited by implicit conversion ArrowAssoc from DocNest to ArrowAssoc[DocNest]

### Ungrouped